Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.plaf.basic
Class BasicSplitPaneUI.KeyboardHomeHandler

    java.lang.Object
      javax.swing.plaf.basic.BasicSplitPaneUI.KeyboardHomeHandler

All Implemented Interfaces:
  ActionListener, EventListener

Enclosing class:
  BasicSplitPaneUI

    public class BasicSplitPaneUI.KeyboardHomeHandler

extends Object
implements ActionListener

Implementation of an ActionListener that the JSplitPane UI uses for handling specific key presses.

This class should be treated as a "protected" inner class. Instantiate it only within subclasses of BasicSplitPaneUI.

Constructor Summary
`BasicSplitPaneUI.KeyboardHomeHandler()`

Method Summary
`void` | `actionPerformed(ActionEvent ev)` Invoked when an action occurs.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BasicSplitPaneUI.KeyboardHomeHandler

    public BasicSplitPaneUI.KeyboardHomeHandler()

Method Detail

### actionPerformed

    public void actionPerformed(ActionEvent ev)

  Description copied from interface: `ActionListener`
  Invoked when an action occurs.

  Specified by:
    `actionPerformed` in interface `ActionListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.